﻿@using Avira.MarketingResearch.Model.ViewModels.Masters;
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}



<div id="content" class="content">
    <br />
    <br />

    <ul class="nav nav-pills" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" data-toggle="pill" href="#Import">Import</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" data-toggle="pill" href="#History">Import History</a>
        </li>
    </ul>
    <div class="tab-content">
        <div id="Import" class="container tab-pane active">
            <h2>Authoring Tool Import Module </h2>
            <form method="post" enctype="multipart/form-data">
                <div class="row">
                    <div class="col-md-2">
                        Please select template:
                    </div>
                    <div class="col-md-2">
                        <select name="importTemplate" id="importTemplate">
                            <option value="-1">Select Template</option>
                            <option value="MarketSizing Import Template">Market Sizing</option>
                            @*<option value="Trend">Trend</option>
                <option value="Company Basic Info">Company Basic Info</option>
                <option value="Company Profile">Company Profile</option>
                <option value="CP Financial">CP Financial</option>
                <option value="QualitativeAnalysis">Qualitative Analysis</option>*@
                        </select>
                    </div>
                    <div class="col-md-3">
                        <input type="file" id="fUpload" name="formFile" class="form-control" />
                    </div>
                    <div class="col-md-1">
                        <input type="submit" id="btnUpload" value="Import" />
                    </div>
                    <div class="col-md-2">
                        <input type="button" id="btnDownloadTemplate" value="DownloadTemplate" />
                    </div>
                </div>
                <br /><br />
                <div class="row">
                    <div class="col-md-12">
                        <label id="errorSelect" class="label-danger" style="color:red;"></label>
                        <br />
                        <label id="errorFile" class="label-danger" style="color:red;"></label>
                    </div>
                </div>
                <br /><br /><br /><br />

                @if (ViewBag.Message != null)
                {
                    <div class="row">
                        @ViewBag.Message
                    </div>


                }


            </form>
            <div id="footer" class="footer">
                <span class="pull-right">
                    <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                        <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
                    </a>
                </span>
                &copy; 2018 <b>Source Admin</b> All Right Reserved
            </div>
        </div>

        <div id="History" class="container tab-pane fade">
            <h2>Import Request History  </h2>
            <br />
            <div class="row">
                <div class="col-md-2">
                    Please select template:
                </div>
                <div class="col-md-2">
                    <select name="selectTemplate" id="selectTemplate">
                        <option value="-1">Select Template</option>
                        <option value="MarketSizing Import Template">Market Sizing</option>
                        @*<option value="Trend">Trend</option>
                    <option value="Company Basic Info">Company Basic Info</option>
                    <option value="Company Profile">Company Profile</option>
                    <option value="CP Financial">CP Financial</option>
                    <option value="QualitativeAnalysis">Qualitative Analysis</option>*@
                    </select>
                </div>
                <div class="col-md-2">
                    <select name="importStatus" id="importStatus">
                        <option value="-1">Select Status</option>
                        @{
                            var statusList = ViewBag.StatusList as List<StatusViewModel>;
                        }
                        @for (var i = 0; i < statusList.Count; i++)
                        {
                            <option value="@statusList[i].Id">@statusList[i].StatusName</option>
                        }
                    </select>
                </div>
                <div class="col-md-3 text-danger">*Please select both dropdown</div>

            </div>
            <br />
            <div id="ImportHistory">

            </div>

        </div>

    </div>

</div>

    <script src="~/js/jquery.js"></script>
    <script>
        $("#btnUpload").click(function (e) {
            $("#errorSelect").text("");
            $("#errorFile").text("");
            var validExts = new Array(".xlsx", ".xls");
            var fileExt = $("#fUpload").val();
            var selectedText = $("#importTemplate option:selected").val();
            if (selectedText == -1) {
                e.preventDefault();
                $("#errorSelect").text("Please select Template");
            }
            fileExt = fileExt.substring(fileExt.lastIndexOf('.'));
            if (fileExt == "") {
                e.preventDefault();
                $("#errorFile").text("Please select formfile.");
            }
            else {
                if (validExts.indexOf(fileExt) < 0) {
                    e.preventDefault();
                    $("#errorFile").text("Invalid file selected, valid files are of " +
                        validExts.toString() + " types.");
                }
            }
        });
    </script>
    <script>
    function getSearchModel() {
        var TemplateText = $("#selectTemplate option:selected").val();
        var StatusText = $("#importStatus option:selected").text();

        var ImportRequestModel = {
            TemplateName:TemplateText, StatusName:StatusText
        }

        return ImportRequestModel;
    }

        $("#selectTemplate").change(function () {
        var ImportRequestModel = getSearchModel();
            if (ImportRequestModel.StatusName != "Select Status" && ImportRequestModel.TemplateName != -1) {
            bindData(ImportRequestModel);
        }
        else {
                bindData(ImportRequestModel);
        }
    });

        $("#importStatus").change(function () {
            debugger
            var ImportRequestModel = getSearchModel();
            if (ImportRequestModel.StatusName != "Select Status" && ImportRequestModel.TemplateName != -1) {
                bindData(ImportRequestModel);
            }
            else {
                bindData(ImportRequestModel);
            }

        });

     function bindData(ImportRequestModel){
                $.ajax({
                    type: "GET",
                    url: '@Url.Action("_ImportRequestHistory", "ImportRequest")',
                    data: ImportRequestModel,
                    success: function (result) {
                        $("#ImportHistory").html('');
                        $("#ImportHistory").html(result);

                    },
                    error: function (e) {

                        alert("Error in process Request");
                    }
                });
            }

         $("#btnDownloadTemplate").click(function (e) {
        $("#errorSelect").text("");
        $("#errorFile").text("");
        var validExts = new Array(".xlsx", ".xls");
        var fileExt = $("#fUpload").val();
        var selectedText = $("#importTemplate option:selected").val();
        if (selectedText == -1) {
            e.preventDefault();
            $("#errorSelect").text("Please select Template");
        } else {
            window.location = '@Url.Action("DownloadTemplate", "Import")?type=' + selectedText;
        }
        
    });

    </script>
